When dragging a tab within an overflown tabstrip, scoll when the tab is moved to the edge
Since bug  has landed, dragging tabs within an overflown tabstrip feels a little unnatural because we're still only scrolling the tabstrip when the cursor reaches the edges - which made sense in the past with the old drop indicator. We should rather start scrolling when  or  of the dragged tab is hidden behind an edge.
